// RuntimeForStatic base library | C+- (SysRoutine) | Author: Sergei Y.Kitáev
#include "Precompiled.h"
#include "SharedIncludes.h"
namespace RuntimeForStatic {
//==================================================================================================

$ErrorCode::$ErrorCode()
{
   $CLEAR_INSTANCE();
}

$ErrorCode::$ErrorCode(int value): $ErrorCode()
{
   AsInteger = value;
}
$ErrorCode::$ErrorCode(DWORD value): $ErrorCode()
{
   AsDWord = value;
}

//==================================================================================================
} // RuntimeForStatic
